# hardened build if not overridden
%{!?_hardened_build:%global _hardened_build 1}

%if %{?_hardened_build}%{!?_hardened_build:0}
%global hardened_flags -pie -Wl,-z,relro,-z,now
%endif

Name:               procmail
Version:            3.22
Release:            51
Summary:            A program for filtering, sorting and storing email
License:            GPLv2+ or Artistic
URL:                https://www.procmail.org
Source0:            ftp://ftp.ucsb.edu/pub/mirrors/procmail/procmail-%{version}.tar.gz
Source1:            procmailrc
Patch0:             procmail-3.22-rhconfig.patch
Patch1:             procmail-3.15.1-man.patch
Patch2:             procmail_3.22-8.debian.patch
Patch3:             procmail-3.22-truncate.patch
Patch4:             procmail-3.22-ipv6.patch
Patch5:             procmail-3.22-getline.patch
Patch6:             procmail-3.22-CVE-2014-3618.patch
Patch7:             procmail-3.22-crash-fix.patch
Patch8:             procmail-3.22-CVE-2017-16844.patch
BuildRequires:      gcc git

%description
%{summary},It can be used both on mail clients and mail servers. It can be
used to filter out spam, checking for viruses, to send automatic replies, etc.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -S git

find examples -type f | xargs chmod 644

%build
make RPM_OPT_FLAGS="$(getconf LFS_CFLAGS)" autoconf.h
%make_build

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_mandir}/man{1,5}

make \
    BASENAME=${RPM_BUILD_ROOT}%{_prefix} MANDIR=${RPM_BUILD_ROOT}%{_mandir} \
    install

cp debian/mailstat.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
cp -p %{SOURCE1} telsas_procmailrc

%files
%defattr(-,root,root)
%doc Artistic debian/QuickStart debian/README.Maildir
%{_bindir}/formail
%attr(2755,root,mail) %{_bindir}/lockfile
%license COPYING
%{_bindir}/*

%files help
%defattr(-,root,root)
%doc FAQ FEATURES HISTORY README KNOWN_BUGS examples telsas_procmailrc
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz

%changelog
* Mon Feb 8 2021 hanzhijun <hanzhijun1@huawei.com> - 3.22-51
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:modify lockfile permissions from 755 to 2755

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.22-50
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Mon Sep 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.22-49
- Package init

